Download it now!
Bug 40907 - FILEOPEN: concurrent access to AFP shared files impossible - total lock on file
Summary: FILEOPEN: concurrent access to AFP shared files impossible - total lock on file
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: highest major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
: 45902 89052 (view as bug list)
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2011-09-15 06:02 UTC by Alex Thurgood
Modified: 2015-02-05 09:40 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2011-09-15 06:02:06 UTC
First Test environment :

Macmini 10.6 SL Server with AFS Share
Mac client : Macbook Pro SL 10.6 with LibO 3.4.3
Mac client : Macmini Tiger 10.4 with LibO 3.3.1

Second Test Environment :
Mac clients/server : 10.5 Leopard with AFS share activated.

How to reproduce :
A first client machine opens a file located on the AFS share, e.g. doc, docx, ds, odt, odp, etc.

A second client machine then attempts to open the same.

Expected result :
Error message that file is being used, file can only be opened in RO mode.

Actual result : an error message is displayed with read/write I/O error and the file is not opened on the second client machine.


This is a regression with regard to OOo 3.3.0 where AFS concurrent locking works.


Alex
Comment 1 fabien.michel 2011-09-19 02:04:04 UTC
Bug confirmed with :
Xserver 10.5 which share folders over AFP.
Mac clients 10.5 or 10.6 with LibO 3.3.0 to 3.4.3

Generally, LibO can't open at all an already opened file on AFP shared folder (error message instead of open in read only)
For exemple, open a .doc file with MS Word. Then try to open the same file with LibO.


We try with the sames shared folders over SMB (Samba) and no problems occured.
Comment 2 Björn Michaelsen 2011-12-23 13:23:35 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 3 fabien.michel 2012-01-23 03:04:52 UTC
This bug always occur with 3.5b3

I've discover that the problem seems to be a lock of the file itself (xxx.ods).
(The ".~lock.xxx.ods#" file seems to make his job)
For example, deleting the .~lock.xxx.ods# file doesn't make the file openable.

I've also discover that the sharing mode work perfectly.
Many users can open the same file at time. (and edit it)
Comment 4 Rainer Bielefeld Retired 2012-04-04 03:53:43 UTC
3.4 lifecycle is terminated, I delete useless relation to 3.4 MAB, Blocking “Bug 37361 LibreOffice 3.5 most annoying bugs” remains.
Comment 5 Rainer Bielefeld Retired 2012-04-05 11:01:38 UTC
<http://wiki.documentfoundation.org/BugReport_Details#Version>
Comment 6 fabien.michel 2012-06-19 01:25:47 UTC
I would like to insist on this bug which is very inconvenient for all Mac users in business.
It did not occur with OpenOffice.org, it is only with LibreOffice it appeared.
The same bug affect Apache OpenOffice 3.4.

How to reproduce:
You need to have 3 macs : 1 server 2 clients
I've only try with MacOS leopard 10.5 server.
On the server configure AFP shared folder.
On the two client connect to this folder. ( afp://myserver.com )
Open an odt file (but same bug with all files) on the first client
Open the same file on the over client.

You will see this message :
"Error during shared access to /Volumes/MySharedFolder/myfile.odt."

And the file can't be opened at all, even in read only.
Comment 7 Rainer Bielefeld Retired 2012-06-22 01:29:47 UTC
Only 1 MAB tracker!
Seems I reverted to wrong version
I doubt that this one is not Critical for the project.

@MacExperts:
Any idea how we can get some progress here?
Comment 8 Stephan Bergmann 2012-06-22 02:11:03 UTC
> @MacExperts:
> Any idea how we can get some progress here?

I can see whether I'm able to set up a test scenario locally here, but only in ~2 weeks time.

(What comes to mind is AFS-specific code related to file locking in sal/osl/unx/file.cxx osl_file_adjustLockFlags.)
Comment 9 fabien.michel 2012-06-25 08:13:24 UTC
Thank you to interest you show in the resolution of this bug.
I was able to reproduce with a different configuration:
A server in Leo 10.7.3
10.7.4 a customer lion
1 customer Snow Leopard 10.6.x
Comment 10 fabien.michel 2012-06-25 08:15:04 UTC
1 server Lion 10.7.3
1 client Lion 10.7.4
1 client snow leopard 10.6.x
Comment 11 fabien.michel 2012-07-17 12:05:55 UTC
This bug may be related to those ones :
https://issues.apache.org/ooo/show_bug.cgi?id=29284
https://issues.apache.org/ooo/show_bug.cgi?id=62229

I've try to comment
SAL_ENABLE_FILE_LOCKING=1
export SAL_ENABLE_FILE_LOCKING

in LibreOffice.app/Contents/MacOS/gengal file
But it don't change anything.
Comment 12 Alex Thurgood 2012-08-29 19:28:56 UTC
*** Bug 45902 has been marked as a duplicate of this bug. ***
Comment 13 fabien.michel 2013-01-02 08:06:23 UTC
For information,
we have paid someone to work on this issue. We hope it will be resolved soon.
Comment 14 Roman Eisele 2013-01-02 09:09:27 UTC
(In reply to comment #13)
> For information,
> we have paid someone to work on this issue. We hope it will be resolved soon.

Thank you very much!
Comment 15 Joel Madero 2013-02-12 16:57:18 UTC
3.5 is at the end of its life cycle so we are closing the 3.5 MAB meta tracker. I will port this over to 3.6 MAB. Personally I don't think it qualifies but since a developer has been paid to fix the issue, hopefully we see it fixed soon.

@Reporter and others - thanks for the input and clear steps to reproduce!
Comment 16 Michael Meeks 2013-05-02 16:15:06 UTC
fabien - out of interest, who did you pay - and how did it work out ? :-)

Thanks !
Comment 17 Alex Thurgood 2013-05-15 06:58:38 UTC
(In reply to comment #13)
> For information,
> we have paid someone to work on this issue. We hope it will be resolved soon.

Fabien,

Did you get this issue resolved ?

Alex
Comment 18 tommy27 2013-06-17 19:52:55 UTC
(In reply to comment #17)
> (In reply to comment #13)
> > For information,
> > we have paid someone to work on this issue. We hope it will be resolved soon.
> 
> Fabien,
> 
> Did you get this issue resolved ?
> 
> Alex

+1. did that paid developer fix the bug?
Comment 19 tommy27 2013-08-09 07:37:33 UTC
is this still an issue with recent 4.0.4 and 4.1.0 releases?
Comment 20 Benjamin Hagemann 2013-08-13 16:32:53 UTC
in libreoffice 4.0.4.2 it is still the same,
I can not edit and save a .bau-file on a afp share => afp error -5010
Comment 21 Joel Madero 2013-08-13 16:44:39 UTC
Why did you mark it as assigned, who is it assigned to?
Comment 22 Benjamin Hagemann 2013-08-13 17:57:04 UTC
Joel Madero
> Why did you mark it as assigned, who is it assigned to?

oh, sorry - I was not sure what is the best:
new? - no
resolved? - no
need info? - ?
assigned? - I take this

set it to the right status, please :)
Comment 23 Joel Madero 2013-08-13 18:06:23 UTC
Assigned it to you ;)
Comment 24 Stephan Bergmann 2013-08-14 06:26:58 UTC
(In reply to comment #23)
> Assigned it to you ;)

But, Benjamin, are you currently working on a fix?  Otherwise, it does not make sense to have it assigned to you (and it should rather be NEW then).
Comment 25 Benjamin Hagemann 2013-08-14 06:35:15 UTC
Stephan Bergmann
> But, Benjamin, are you currently working on a fix? 

no, I have only tested 4.0.4.2 for this issue.

> Otherwise, it does not make sense to have it assigned to you (and it should rather be NEW then).

okay, I have set this,
sorry for chaos
Comment 26 tommy27 2013-08-14 07:28:18 UTC
moving from mab3.6 list to mab4.0 list since 3.6.x is EOL
Comment 27 fabien.michel 2013-10-31 14:09:25 UTC
We have no news of the guy we should have to pay to work on it. I think he completely abandon the subject. Sorry for the false hope.
Comment 28 Björn Michaelsen 2014-01-17 09:58:45 UTC
(This is an automated message.)

Setting priority to highest as this is a 4.0 MAB. This is part of an effort to make the importance of MAB reflected in priority too.
Comment 29 stragu 2014-02-12 08:06:36 UTC
Could someone test if this is still an issue in 4.1 and/or 4.2?
Comment 30 Benjamin Hagemann 2014-02-13 14:40:47 UTC
> Could someone test if this is still an issue in 4.1 and/or 4.2?

tested and still unimproved in 4.1.5 and 4.2.0 :/(In reply to comment #29)
Comment 31 tommy27 2014-02-13 15:22:43 UTC
moving from mab4.0 to mab4.1 since LibO 4.0.x reached end of life
Comment 32 tommy27 2014-05-13 04:34:56 UTC
is this bug still valid in current 4.2.4.2 release?
if yes, please move it from mab4.1 to mab 4.2 list since 4.1.x is EOL
Comment 33 Alex Thurgood 2014-05-25 09:49:07 UTC
Bug still not fixed. Added to mab4.2
Comment 34 tommy27 2014-11-22 14:23:49 UTC
please retest with 4.3.x and 4.4.x
if bug is still there please move it to mab4.3 list
Comment 35 Alex Thurgood 2014-11-28 16:18:37 UTC
Version: 4.5.0.0.alpha0+
Build ID: 1658c017a27ac2cccb2af89f88a4cde8ffdbe531
Locale: fr_

wfm, the warning message now gives user choice to either open read only, or open (override file locking).
Comment 36 Alex Thurgood 2014-11-28 16:19:31 UTC
Tested on osx 10.10.1
Comment 37 Alex Thurgood 2015-02-05 09:40:01 UTC
*** Bug 89052 has been marked as a duplicate of this bug. ***